<?php

class HomeFeatured extends Module
{
    private $_html = '';
    private $_directory;
    private $_filename;
    private $_filename_http;
    private $_postErrors = array();
    
    function __construct()
    {
        $this->name = 'homefeatured';
        $this->tab = '';
        $this->version = 0.8;

        parent::__construct();

        /* The parent construct is required for translations */
		$this->page = basename(__FILE__, '.php');
        $this->displayName = $this->l('Home featured products');
        $this->description = $this->l('Shows products in your home page');
    }

    function install()
    {
        parent::install();
        $this->registerHook('home');
    }
    
    function hookHome($params)
    {
     	global $smarty;
     	$category = new Category(1);
		$products = $category->getProducts(intval($params['cookie']->id_lang), 1, 10);

		$smarty->assign(array(
			'category' => $category,
			'products' => $products,
			'currency' => new Currency(intval($params['cart']->id_currency)),
			'lang' => Language::getIsoById(intval($params['cookie']->id_lang)),
			'productNumber' => count($products)
		));

		return $this->display(__FILE__, 'homefeatured.tpl');
	}
}


?>
